| Kea 3.0.2-git

tcp_connection.h File Reference
`#include <asiolink/asio_wrapper.h>`
`#include <asiolink/interval_timer.h>`
`#include <asiolink/io_service.h>`
`#include <tcp/tcp_connection_acceptor.h>`
`#include <boost/enable_shared_from_this.hpp>`
`#include <boost/system/error_code.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <array>`
`#include <functional>`
`#include <string>`
`#include <iostream>`
`#include <mutex>`
Include dependency graph for tcp_connection.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::tcp::TcpConnection
| Accepts and handles a single TCP connection. More...
class | isc::tcp::TcpConnectionError
| Generic error reported within TcpConnection class. More...
class | isc::tcp::TcpMessage
| Base class for TCP messages. More...
class | isc::tcp::TcpRequest
| Abstract class used to receive an inbound message. More...
class | isc::tcp::TcpResponse
| Abstract class used to create and send an outbound response. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::tcp

## Typedefs
typedef std::function< bool(const boost::asio::ip::tcp::endpoint &)> | isc::tcp::TcpConnectionFilterCallback
| Type of the callback for filtering new connections by ip address.
typedef boost::shared_ptr< TcpConnection > | isc::tcp::TcpConnectionPtr
| Pointer to the TcpConnection.
typedef boost::shared_ptr< TcpRequest > | isc::tcp::TcpRequestPtr
| Defines a smart pointer to a TcpRequest.
typedef boost::shared_ptr< TcpResponse > | isc::tcp::TcpResponsePtr
typedef std::vector< uint8_t > | isc::tcp::WireData
| Defines a data structure for storing raw bytes of data on the wire.
typedef boost::shared_ptr< WireData > | isc::tcp::WireDataPtr